MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
MPQC::ComponentFactory_impl Class Reference

Symbol "MPQC.ComponentFactory" (version 0.2) More...

`#include <MPQC_ComponentFactory_Impl.hh>`

## Public Member Functions
| ComponentFactory_impl (struct MPQC_ComponentFactory__object *s)
void | _ctor ()
void | _dtor ()
void | addDescription (const ::std::string &className, const ::std::string &classAlias) throw ()
| user defined non-static method.
::sidl::array < ::gov::cca::ComponentClassDescription > | getAvailableComponentClasses () throw ( ::gov::cca::CCAException )
| Collect the currently obtainable class name strings from factories known to the builder and the from the already instantiated components. More...
::gov::cca::Component | createComponentInstance (const ::std::string &className) throw ()
| the component instance returned is nil if the name is unknown to the factory. More...
void | destroyComponentInstance (const ::std::string &className,::gov::cca::Component c) throw ()
| reclaim any resources the factory may have associated with the port it is using. More...

## Static Public Member Functions
static void | _load ()

## Detailed Description

Symbol "MPQC.ComponentFactory" (version 0.2)

ComponentFactory implements a CCA standard component interface for component factories. This class is used to inform the embedded framework of available components in a statically linked executable.

This is an implementation of a SIDL interface. The stub code is generated by the Babel tool. Do not make modifications outside of splicer blocks, as these will be lost. This is a server implementation for a Babel class, the Babel client code is provided by the cca-spec-babel package.

## Member Function Documentation

::gov::cca::Component MPQC::ComponentFactory_impl::createComponentInstance | ( | const ::std::string & | className | ) | throw ()

the component instance returned is nil if the name is unknown to the factory.

The component is raw: it has been constructed but not initialized via setServices.

void MPQC::ComponentFactory_impl::destroyComponentInstance | ( | const ::std::string & | className,
|  | ::gov::cca::Component | c
| ) |  | throw ()

reclaim any resources the factory may have associated with the port it is using.

This will occur after the normal component shutdown (ala componentrelease) is finished.

::sidl::array< ::gov::cca::ComponentClassDescription> MPQC::ComponentFactory_impl::getAvailableComponentClasses | ( |  | ) | throw ( ::gov::cca::CCAException )

Collect the currently obtainable class name strings from factories known to the builder and the from the already instantiated components.

Returns
  The list of class description, which may be empty, that are known a priori to contain valid values for the className argument of createInstance.

Exceptions

  CCAException | in the event of error.

The documentation for this class was generated from the following file:

- MPQC_ComponentFactory_Impl.hh